%global debug_package %{nil}

Name:       gping
Version:    1.16.0
Release:    1%{?dist}
Summary:    Ping, but with a graph

License:    MIT
URL:        https://github.com/orf/gping
Source0:    %{url}/archive/%{name}-v%{version}/%{name}-%{version}.tar.gz

%if 0%{?el8} || 0%{?el9}
%else
BuildRequires: cargo >= 1.67
BuildRequires: rust >= 1.67
%endif
BuildRequires: gcc

%description
%{summary}.


%prep
%autosetup -n %{name}-%{name}-v%{version}
%if 0%{?el8} || 0%{?el9}
curl https://sh.rustup.rs -sSf | sh -s -- --profile minimal -y
%endif


%install
export CARGO_PROFILE_RELEASE_BUILD_OVERRIDE_OPT_LEVEL=3
# echo 'codegen-units = 1' >> Cargo.toml

%if 0%{?el8} || 0%{?el9}
source "$HOME/.cargo/env"
%endif
cargo build --release

install -Dpm 0755 target/release/%{name} %{buildroot}%{_bindir}/%{name}
install -Dpm 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

rm -f %{buildroot}%{_prefix}/.crates.toml \
    %{buildroot}%{_prefix}/.crates2.json
strip %{buildroot}%{_bindir}/*


%files
%license LICENSE
%doc readme.md
%{_bindir}/%{name}
%{_mandir}/man1/*.1*


%changelog
* Wed Nov 29 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.16.0-1
- chore: Update to latest release

* Wed Nov 08 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.15.1-1
- chore: Update to latest release

* Mon Jul 31 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.14.0-1
- chore(update): 1.14.0

* Sun Jul 09 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.13.1-1
- chore(update): 1.13.1

* Thu May 25 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.12.0-1
- chore(update): 1.12.0

* Sat Jan 28 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.0-1
- chore(update): 1.8.0

* Thu Jan 12 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.7.0-2
- chore(update): 1.7.0

* Wed Dec 21 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.3-1
- chore(update): 1.6.3

* Tue Dec 20 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.2-1
- chore(update): 1.6.2

* Wed Dec 14 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.1-1
- chore(update): 1.6.1

* Sun Dec 11 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.0-1
- chore(update): 1.6.0

* Tue Dec 06 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.5.1-1
- chore(update): 1.5.1

* Mon Dec 05 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.5.0-1
- chore(update): 1.5.0

* Mon Sep 19 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.0-1
- chore(update): 1.4.0

* Tue Jun 21 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.2-1
- chore(update): 1.3.2

* Fri Mar 25 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.1-1
- chore(update): 1.3.1

* Thu Feb 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.0-1
- chore(update): 1.3.0

* Sat Jan 15 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.7-1
- chore(update): 1.2.7

* Sat Oct 16 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.6-1
- chore(update): 1.2.6

* Tue Jul 20 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.3-1
- build(update): 1.2.3

* Sun Mar 07 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.1-1
- build(update): 1.2.1

* Sun Dec  6 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.0-1
- build(update): 1.2.0

* Wed Dec  2 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.1.0-1
- build(update): 1.1.0

* Sun Nov 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.1-1
- build(update): 1.0.1

* Thu Nov 19 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.1.7-1
- Initial package
